
QGIS Application - Bug report #4541

Change interface of SVG symbols list: tree

2011-11-16 07:37 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 14457

Description

The current layout of SVG symbol list (preview of all symbols in a single box) is ok for up to 20-30 symbols. Now that we have more, and

should add even more, a clickable tree is more appropriate.

Should be very easy to implement.

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-11-28 08:53 PM - Paolo Cavallini

This has been implemented nicely in Styles. Please add the same solution to other places (namely, the Print composer). The composer should also load

faster, and take less space, so it will be a significant improvement.

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2016-03-07 01:19 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #8257
